Summary:	A clean C library for processing UTF-8 Unicode data
Summary(pl.UTF-8):	Napisana w czystym C biblioteka do przetwarzania danych UTF-8 Unicode
Name:		utf8proc
Version:	2.10.0
Release:	2
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/JuliaStrings/utf8proc/releases
Source0:	https://github.com/JuliaStrings/utf8proc/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	faa0bbe8f5763da45f2dfb5f863f0400
URL:		http://juliastrings.github.io/utf8proc/
Provides:	libutf8proc = %{version}-%{release}
Obsoletes:	libutf8proc < 2.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
utf8proc is a small, clean C library that provides Unicode
normalization, case-folding, and other operations for data in the UTF-8
encoding.

%description -l pl.UTF-8
utf8proc to mała, napisana w czystym C biblioteka zapewniająca
normalizację Unicode, zamianę wielkości liter i inne operacje na
danych w kodowaniu UTF-8.

%package devel
Summary:	Header file for utf8proc library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki utf8proc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libutf8proc-devel = %{version}-%{release}
Obsoletes:	libutf8proc-devel < 2.7.0

%description devel
Header file for utf8proc library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki utf8proc.

%package static
Summary:	utf8proc static library
Summary(pl.UTF-8):	Statyczna biblioteka utf8proc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libutf8proc-static = %{version}-%{release}
Obsoletes:	libutf8proc-static < 2.7.0

%description static
utf8proc static library.

%description static -l pl.UTF-8
Statyczna biblioteka utf8proc.

%prep
%setup -q

%build
%{__make} \
	AR="%{__ar}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	includedir=%{_includedir} \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.md NEWS.md README.md
%attr(755,root,root) %{_libdir}/libutf8proc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libutf8proc.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libutf8proc.so
%{_includedir}/utf8proc.h
%{_pkgconfigdir}/libutf8proc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libutf8proc.a
%changelog
* Mon May 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/utf8proc.git;a=log;h=master

* Mon May 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a1b9b93
- Provides libutfproc (netsurf-gtk nor netsurf-sdl cannot be installed without this prov)
- rel 2

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> 067fa0c
- rel 1

* Wed Jan 01 2025 Jan Palus <atler@pld-linux.org> 105cd3f
- up to 2.10.0

* Fri Dec 29 2023 Jan Palus <atler@pld-linux.org> 38f709a
- up to 2.9.0 (new soname)

* Tue Jan 10 2023 Jan Palus <atler@pld-linux.org> c0f4ddc
- up to 2.8.0

* Sun Oct 23 2022 Jan Palus <atler@pld-linux.org> 6811cd3
- keep providing libutf8proc-devel

* Fri Sep 16 2022 Jan Palus <atler@pld-linux.org> 39d7de5
- up to 2.7.0

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 374551c
- up to 2.4.0
- .pc file is now provided upstream (requires prefix= to be created properly)

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 5147377
- up to 2.2.0, now real close to netsurf

* Sat Jul 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 3ba71b5
- new: julialang fork of libutf8proc, plus external .pc file

